IPSW-DOWNLOAD-GIT(1)

NAME
ipsw-download-git - Download github.com/orgs/apple-oss-distributions tarballs

SYNOPSIS
ipsw download git [flags]

DESCRIPTION
Download github.com/orgs/apple-oss-distributions tarballs

OPTIONS
-a, --api=""
    Github API Token

-h, --help[=false]
    help for git

--json[=false]
    Output downloadable tar.gz URLs as JSON

--latest[=false]
    Get ONLY latest tag

-o, --output=""
    Folder to download files to

-p, --product=""
    macOS product to download (i.e. dyld)

--webkit[=false]
    Get WebKit tags

OPTIONS INHERITED FROM PARENT COMMANDS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

SEE ALSO
ipsw-download(1)

HISTORY
7-May-2025 Auto generated by spf13/cobra